System.Web.Mvc, Version=5.0.0.0

Mar 17, 2014 at 4:35 PM
Hello,

In an MVC 4 project where I installed LinqToTwitter 3.0.2 from nuget, I get the error

Assembly 'LinqToTwitter.AspNet, Version=3.0.2.12655, Culture=neutral, PublicKeyToken=null' uses 'System.Web.Mvc, Version=5.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35' which has a higher version than referenced assembly 'System.Web.Mvc, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35'

As I cannot upgrade my project to MVC 5, what can I do about this?

Thanks!
Coordinator
Mar 25, 2014 at 6:53 PM
Hi,

Don't know if it will work, but you can try compiling the Authorizer code for MVC 4:

https://linqtotwitter.codeplex.com/SourceControl/latest#LinqToTwitter.AspNet/MvcAuthorizer.cs

@JoeMayo